Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Comando Field

5 REPLIES 5
Reply
Message 1 of 6
Anonymous
1381 Views, 5 Replies

Comando Field

Al usar el comando field, y elegir un objeto para saber area, longitud, escala... etc...  despues de un tiempo si ese texto creado con el comando fiel es movido a otro lugar, como puedo saber que objeto es el que se selecciono para ese texto field?

5 REPLIES 5
Message 2 of 6
john.vellek
in reply to: Anonymous

Hola @Anonymous,

 

I see that you are visiting as a new member. Welcome to the Autodesk Community!

 

If you double-click the field it will show what the current settings have been set to.  Does this answer the question or did I misunderstand?

 

Please select the Accept as Solution button if my post solves your issue or answers your question.


John Vellek


Join the Autodesk Customer Council - Interact with developers, provide feedback on current and future software releases, and beta test the latest software!

Autodesk Knowledge Network | Autodesk Account | Product Feedback
Message 3 of 6
john.vellek
in reply to: Anonymous

Hi @Anonymous,

 

I am checking back to see if my post helped you with your problem or if you need additional assistance or information. Please add a post with how you decide to proceed and your results so other Community members may benefit.
Please hit the Accept as Solution button if my post fully solves your issue or answers your question.


John Vellek


Join the Autodesk Customer Council - Interact with developers, provide feedback on current and future software releases, and beta test the latest software!

Autodesk Knowledge Network | Autodesk Account | Product Feedback
Message 4 of 6
Anonymous
in reply to: john.vellek

If I double-click the field it will show what the current settings have been set to, but how do I know the objet selected? if there is several objets. Cheking each one?

Message 5 of 6
john.vellek
in reply to: Anonymous

Hi @Anonymous,

 

I am sorry if I misunderstood your original question.

 

If you double click the field you will see the ObjID of the linked object. (at the bottom of the Field window that opens)

 

Capture.PNG

 

To see the entity that is linked to the ID you will need a LISP or other routine.  Here is one I found from another forum post that might work for you.

 

// This is command 'ZOOMEXT, by Fenton Webb [Apr/17/2002], DevTech, Autodesk
void asdkzoomExt()
{
// get the extents of the drawing
AcDbViewTableRecord view;
AcGePoint3d max =
acdbHostApplicationServices()->workingDatabase()->extmax(),
min = acdbHostApplicationServices()->workingDatabase()->extmin();

AcGePoint2d max_2d (max, max);
AcGePoint2d min_2d (min, min);
// now set the view centre point
view.setCenterPoint (min_2d + (max_2d - min_2d) / 2.0);
// now height and width of view
view.setHeight(max_2d - min_2d);
view.setWidth (max_2d - min_2d);
// set the view
acedSetCurrentView (&view, NULL);
// updates the extents
acdbHostApplicationServices()->workingDatabase()->updateExt(TRUE);
}

////////////////////////////////////////////////////////////////////////////
//
// This is command 'ZOOMWIN, by Fenton Webb [Apr/17/2002], DevTech, Autodesk
void asdkzoomWin()
{
AcGePoint3d max, min;
// get the window coords
int res = acedGetPoint (NULL, "\nPick zoom window pnt : ",
asDblArray(min));
// if ok
if (res == RTNORM)
{
res = acedGetCorner (asDblArray(min), "\nPick other corner : ",
asDblArray(max));
// get the extents of the drawing
AcDbViewTableRecord view;

AcGePoint2d max_2d (max, max);
AcGePoint2d min_2d (min, min);
// now set the view centre point
view.setCenterPoint (min_2d + (max_2d - min_2d) / 2.0);
// now height and width of view
view.setHeight(max_2d - min_2d);
view.setWidth (max_2d - min_2d);
// set the view
acedSetCurrentView (&view, NULL);
// updates the extents
acdbHostApplicationServices()->workingDatabase()->updateExt(TRUE);
}
}

 

Please select the Accept as Solution button if my post solves your issue or answers your question.


John Vellek


Join the Autodesk Customer Council - Interact with developers, provide feedback on current and future software releases, and beta test the latest software!

Autodesk Knowledge Network | Autodesk Account | Product Feedback
Message 6 of 6
john.vellek
in reply to: Anonymous

Hi @Anonymous,

 

Did the LISP routine work to identify the object for you?

 

Please add a post with the status of your issue.


John Vellek


Join the Autodesk Customer Council - Interact with developers, provide feedback on current and future software releases, and beta test the latest software!

Autodesk Knowledge Network | Autodesk Account | Product Feedback

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


AutoCAD Beta